## org.eclipse.jst.jsf.common.dom
Class AttributeIdentifier

    java.lang.Object
      org.eclipse.jst.jsf.common.dom.AttributeIdentifier

    public abstract class AttributeIdentifier

extends java.lang.Object

Uniquely identifies a named attribute on a tag usint TagIdentifier as a way to uniquely identify the host tag. All instances should be considered immutable and idempotent. Factories may cache copies as transparent singletons for unique TagIdentifier/attribute. THIS CLASS IS NOT API AND SHOULD NOT BE USED

Constructor Summary
`AttributeIdentifier()`

Method Summary
`boolean` `equals(java.lang.Object compareTo)`
`abstract java.lang.String` `getName()`
`abstract TagIdentifier` `getTagIdentifier()`
`int` `hashCode()`
`boolean` `isSameAttributeType(AttributeIdentifier attributeId)`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeIdentifier

    public AttributeIdentifier()

Method Detail

### getName

    public abstract java.lang.String getName()

  Returns:
    the attribute name (local name, namespace prefix is currently ignored)

### getTagIdentifier

    public abstract TagIdentifier getTagIdentifier()

  Returns:
    the tag identifier

### equals

    public final boolean equals(java.lang.Object compareTo)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public final int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### isSameAttributeType

    public final boolean isSameAttributeType(AttributeIdentifier attributeId)

  Parameters:
    `attributeId` -
  Returns:
    true if attributeId represents the same attribute as this.